     d = open("nomer")
     getfirst(d)
     nom = 'Номер_док.'.d
     close(d)
     
     d = open("schet")
     if Find(d,1,1,nom) != 0 then goto 900
     
     d1 = open("rekv")
     getfirst(d1)

     d3 = open("plan")
     fl_open = 0
     if Find(d3,1,1,'Номер'.d) = 0
     {
        if trim('Расчеты'.d3) = "МТ" | trim('Расчеты'.d3) = "мт" then fl_open = 1
     }
     close(d3)
     
     if fl_open = 1 then d2 = open(trim('Номер'.d))
rem ---------------- СЧЕТ - ФАКТУРА -----------------------------
     if Find(d1,1,1,'Шифр'.d) != 0 then goto 901

     rpt_open("schetd.rep")

     rpt_write("Номер_док.",nom)
     rpt_write("Дата",fldtodate('Дата'.d))

rem ----------------------данные о поставщике----------------------
     rpt_write("Название1",trim('Название1'.d1) + " " + trim('Название2'.d1))
     rpt_write("Адрес,тел.",trim('Адрес,тел.'.d1))
     rpt_write("ИНН_пост.",trim('ИНН'.d1)+"/"+'КПП'.d1)
     rpt_write("Грузоотпр.",trim('Грузоотпр.'.d))

rem ----------------------данные о покупателе----------------------
     rpt_write("Название",trim('Название'.d) + " " + trim('НазваниеП'.d) )
     rpt_write("Адрес,телП",trim('Адрес,телП'.d))
     rpt_write("ИННП",trim('ИННП'.d))
     rpt_write("Грузопол.",trim('Грузопол.'.d))

     itog = 0.0
     itogsum = 0.0
     itognds = 0.0
     sumnp = 0.0

     np = 0.0
     pnds = 0.0

     for i = 1 to 30
        nnazv = "Назв" + str(i,1,0)
        ncena = "Цена" + str(i,1,0)
        nkol = "Кол" + str(i,1,0)
        nkod = "Кд" + str(i,1,0)
        ned = "Е" + str(i,1,0)
        nnds = "НДС" + str(i,1,0)
        if 'nnazv'.d = "                              " then goto 101
        if 'ncena'.d != 0.0 | fl_open = 0 then goto 102
        if Find(d2,1,1,'nkod'.d) != 0 then goto 101
        'ncena'.d = 'Цена'.d2
102     cena = 'ncena'.d

        np = 0.0
        pnds = 'nnds'.d
        snp = 0.0
        nds = 0.0
        if pnds = 25
        {  np = 5
           pnds = 20
        }
        if pnds = 15
        {  np = 5
           pnds = 10
        }
   
        sum = num(str(cena*'nkol'.d,12,2))
        nds = num(str((sum * pnds)/100,12,2))
        if np != 0.0
        {
           snp = num(str((sum+nds) * 0.05,10,2)) 
        }
        
        itogsum = itogsum + sum
        itognds = itognds+nds
        itog = itog+(sum+nds)
        sumnp = sumnp + snp

        rpt_write("Назв",'nnazv'.d)
        rpt_write("Ед.изм.",'ned'.d)
        rpt_write("Кол",str('nkol'.d,10,3))
        rpt_write("Цена",str(cena,12,2))
        rpt_write("Сумма",str(sum,14,2))
        rpt_write("Акц.цена"," ")
        rpt_write("НДС",str(pnds,5,2))
        rpt_write("Сумма НДС",str(nds,12,2))
        rpt_write("Всего",str(nds+sum,14,2))
        rpt_write("НП",str(snp,10,2))
        rpt_write("Страна",'Страна'.d)
        rpt_write("Декларация",'Декларация'.d)

        rpt_line
101  next
     update(d)

     rpt_write("Итог_без_НДС",str(itogsum,12,2))
     rpt_write("Итог_НДС",str(itognds,12,2))
     rpt_write("Итог_с_НДС",str(itog,12,2))
     rpt_write("Итог_НП",str(sumnp,10,2))
     rpt_write("Всего",str(itog+sumnp,10,2))
     rpt_view
     rpt_close
901  close(d1)
     if fl_open = 1 then close(d2)
900  close(d)
     end
